<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create Recipe</title>
    <link rel="stylesheet" href="./css/CreateRecipe.css">
</head>
<body>
    <div class="header">
        <nav class="navbar">
            <div class="navbar-content">
                <div class="brand-and-toggler">
                    <a href="/home" class="navbar-brand">
                        <img src="../img/Recipe.png" alt="Logo">
                    </a>
                    <div>
                        <ul>
                            <li>
                                <a href="Userhomepage.html">Home</a>
                            </li>
                            <li>
                                <a href="CreateRecipe.html">Create recipe</a>
                            </li>
                            <li>
                                <a href="Recipelist.html">View recipe list</a>
                            </li>
                            <li>
                                <a href="Favourite.html">Favourite</a>
                            </li>
                            <li>
                                <button id="logoutButton">Logout</button>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </nav>
    </div>

    <div class="recipe_form">
        <h3>Create Your Recipe</h3>
        <form id="recipeForm" class="form_container">
            <div>
                <label for="recipe-name">Recipe Name:</label>
                <input type="text" id="recipe-name" name="title" required>
            </div>
            <div>
                <label for="recipe-category">Recipe Category:</label>
                <br>
                <select id="recipe-category" name="category">
                    <option value="appetizer">Appetizer</option>
                    <option value="main-course">Main Course</option>
                    <option value="dessert">Dessert</option>
                    <option value="beverage">Beverage</option>
                </select>
            </div>
            <div>
                <label for="calories">Calories:</label>
                <input type="number" id="calories" name="calories" min="0" required>
            </div>
            <div>
                <label for="prep-time">Preparation Time (in minutes):</label>
                <input type="number" id="prep-time" name="prepTime" min="0" required>
            </div>
            <div>
                <label for="cook-time">Cooking Time (in minutes):</label>
                <input type="number" id="cook-time" name="cookTime" min="0" required>
            </div>
            <div>
                <label for="ingredients">Ingredients:</label>
                <textarea id="ingredients" name="ingredients" rows="4" required></textarea>
            </div>
            <div>
                <label for="description">Description:</label>
                <textarea id="description" name="description" rows="4" required></textarea>
            </div>
            <div>
                <label for="steps">Steps:</label>
                <textarea id="steps" name="instructions" rows="6" required></textarea>
            </div>
            <button type="submit">Submit Recipe</button>
        </form>
    </div>

    <script src="./js/recipeForm.js"></script>
</body>
</html>
